aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFabian Meumertzheim <meumertzheim@code-intelligence.com>2021-10-19 12:24:30 +0200
committerFabian Meumertzheim <fabian@meumertzhe.im>2021-10-19 12:31:38 +0200
commit5f509bfbdfe17f9fecfe1665c466c75607524b38 (patch)
treee6acc61dbc035ac34ca911baf0d539838aa3b96c
parent9ca63f44f45040bb616aa101d7703a30fdcb07ea (diff)
downloadjazzer-api-5f509bfbdfe17f9fecfe1665c466c75607524b38.tar.gz
Add a script that updates and pushes all images
Also make it possible to run the scripts from any directory.
-rwxr-xr-xdocker/build_all.sh19
-rwxr-xr-xdocker/push_all.sh (renamed from docker/all.sh)7
2 files changed, 24 insertions, 2 deletions
diff --git a/docker/build_all.sh b/docker/build_all.sh
new file mode 100755
index 00000000..21c7c8e2
--- /dev/null
+++ b/docker/build_all.sh
@@ -0,0 +1,19 @@
+# Copyright 2021 Code Intelligence GmbH
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -e
+
+this_dir=$(dirname "$(realpath "$0")")
+docker build --pull -t cifuzz/jazzer "$@" "$this_dir"/jazzer
+docker build -t cifuzz/jazzer-autofuzz "$@" "$this_dir"/jazzer-autofuzz
diff --git a/docker/all.sh b/docker/push_all.sh
index b7c45e3d..3ba7e4c4 100755
--- a/docker/all.sh
+++ b/docker/push_all.sh
@@ -14,5 +14,8 @@
set -e
-docker build --pull -t cifuzz/jazzer "$@" docker/jazzer
-docker build -t cifuzz/jazzer-autofuzz "$@" docker/jazzer-autofuzz
+this_dir=$(dirname "$(realpath "$0")")
+"$this_dir"/build_all.sh --no-cache
+
+docker push -t cifuzz/jazzer
+docker push -t cifuzz/jazzer-autofuzz